<?php
// ------------------------------------------------------------------------------------- //
// Project: 		Counter.gd V2
// Projectlink: 	https://www.counter.gd/ 
// 
// File: 			helper.php [ file version 1.0.0 ] 
// Create file: 	2013.03.28 16:00
// Lastmodified: 	2013.03.28 16:00 
// File desc: 		
// 	
// Copyright: 		2013, by Counter.GD  
// ------------------------------------------------------------------------------------- //

jimport('joomla.html.parameter.element');
jimport('joomla.form.formfield');

class JFormFieldHyperlink extends JFormField {

	function getInput(){
		$link = $this->element['href'];
		
		if (isset($this->element['text'])) {
			$text = JText::_($this->element['text']);
		} else {
			$text = 'Click Me!';
		}
		
		$attributes = array();
		$target = $this->element['target'];

		if(!$target){
			$attributes['target'] = '_blank';
		}

		if ( $this->element['popup'] == 'yes'  ){
			$width = $this->element['width'];
			$height = $this->element['height'];
			if(!$width) $width = 320;
			if(!$height) $height = 240;

			$js = 'function openWindow(url, width, height){
				window.open(url,"myWindow", "menubar=0,scrollbars=1,width=" + width + ",height=" + height);
				return false;
			}';
			$doc =& JFactory::getDocument();
			$doc->addScriptDeclaration($js);
			$attributes['onclick'] = "return openWindow( '{$link}', $width, $height);";
		}
	return JHTML::_('link', $link, $text, $attributes);
	}
}